ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Melan Jayasinghage (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (IGNITE-8618) Support Java 10
Date Wed, 20 Jun 2018 02:43:00 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-8618?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16517727#comment-16517727
] 

Melan Jayasinghage commented on IGNITE-8618:
--------------------------------------------

[~jose2883cr] I believe ignite having compatibility with Java 10, but prechecks on bin/ignite.sh,
bin/include/functions.sh prevents us to running it on Java 10 and modifying them should work,
I've tested this on Linux environment (yes, it's shows same warning on both Java 9 and 10
)

bin/ignite.sh - line 154-161
{code:java}
${JAVA_HOME}/bin/java -version 2>&1 | grep -qE 'java version "(9|10).*"' &&
{
JVM_OPTS="--add-exports java.base/jdk.internal.misc=ALL-UNNAMED \
          --add-exports java.base/sun.nio.ch=ALL-UNNAMED \
          --add-exports java.management/com.sun.jmx.mbeanserver=ALL-UNNAMED \
          --add-exports jdk.internal.jvmstat/sun.jvmstat.monitor=ALL-UNNAMED \
          --add-modules java.xml.bind \
      ${JVM_OPTS}"
} || true
{code}
bin/include/functions.sh - line 61 - 72
{code:java}
    "$JAVA" -version 2>&1 | grep -qE 'version "(1.8.*|9.*|10.*)"' || {
        echo "$0, ERROR:"
        echo "The version of JAVA installed in JAVA_HOME=$JAVA_HOME is incorrect."
        echo "Please point JAVA_HOME variable to installation of JDK 1.8, JDK 9 or
JDK 10."
        echo "You can also download latest JDK at http://java.com/download"
        exit 1
    }
{code}
 

> Support Java 10
> ---------------
>
>                 Key: IGNITE-8618
>                 URL: https://issues.apache.org/jira/browse/IGNITE-8618
>             Project: Ignite
>          Issue Type: Task
>    Affects Versions: 2.4
>            Reporter: Anghel Botos
>            Priority: Major
>
> Please make required changes so that Ignite runs on Java 10.
> The blocking issue I encontered is related to the usage of Unsafe:
> Caused by: java.lang.RuntimeException: jdk.internal.misc.JavaNioAccess class is unavailable.
>  at org.apache.ignite.internal.util.GridUnsafe.javaNioAccessObject(GridUnsafe.java:1459)
>  at org.apache.ignite.internal.util.GridUnsafe.<clinit>(GridUnsafe.java:118)
>  ... 30 more
> Caused by: java.lang.IllegalAccessException: class org.apache.ignite.internal.util.GridUnsafe
cannot access class jdk.internal.misc.SharedSecrets (in module java.base) because module java.base
does not export jdk.internal.misc to unnamed module @754ba872
>  at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:360)
>  at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:589)
>  at java.base/java.lang.reflect.Method.invoke(Method.java:556)
>  at org.apache.ignite.internal.util.GridUnsafe.javaNioAccessObject(GridUnsafe.java:1456)
>  ... 31 more
>  
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message